commit:     3dd264898a2570bac254756a0d242631a02e49bc
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Sep 17 13:14:50 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Sep 17 13:35:21 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3dd26489

dev-python/sphinx-prompt: Bump to 1.8.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/sphinx-prompt/Manifest                  |  1 +
 .../sphinx-prompt/sphinx-prompt-1.8.0.ebuild       | 43 ++++++++++++++++++++++
 2 files changed, 44 insertions(+)

diff --git a/dev-python/sphinx-prompt/Manifest 
b/dev-python/sphinx-prompt/Manifest
index c7f963b5b191..8f13824810be 100644
--- a/dev-python/sphinx-prompt/Manifest
+++ b/dev-python/sphinx-prompt/Manifest
@@ -1 +1,2 @@
 DIST sphinx-prompt-1.7.0.gh.tar.gz 38317 BLAKE2B 
b042b7821d16ff63d259b73de476f96cafea32345dc98d24a9abb97dd46ecbd6947862ef727b830c27889f4b8a17c30c8dd86a4bddd38294a3a4bca00349bf87
 SHA512 
1b0df502c75ea4cac4e4a5b11c0aa762851b82c39892410c97f0ed45bdd74e5706a580a906d4ebb8c47700324c089c5114eba12cd4617aba37cfea8c338ac9d5
+DIST sphinx-prompt-1.8.0.gh.tar.gz 38424 BLAKE2B 
c469e2acfdad076afd472c30380a59aae4d719edce653794fd4d09a2c8008b7f67642ce2a740fb1408987243ba5d520e28b3dc4d7ec34899de6fcf57f2171456
 SHA512 
1acaa18066537adaab71eb900f0b0fb8041f8f25a9079e171b98b98106d5b7d1885e23bae2c1fd278bbf22c66d17238fbf386cb61fc5725475862aaf86d5701e

diff --git a/dev-python/sphinx-prompt/sphinx-prompt-1.8.0.ebuild 
b/dev-python/sphinx-prompt/sphinx-prompt-1.8.0.ebuild
new file mode 100644
index 000000000000..81b0e33877a4
--- /dev/null
+++ b/dev-python/sphinx-prompt/sphinx-prompt-1.8.0.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( pypy3 python3_{10..12} )
+
+inherit distutils-r1
+
+DESCRIPTION="Sphinx directive to add unselectable prompt"
+HOMEPAGE="
+       https://github.com/sbrunner/sphinx-prompt/
+       https://pypi.org/project/sphinx-prompt/
+"
+SRC_URI="
+       https://github.com/sbrunner/sphinx-prompt/archive/${PV}.tar.gz
+               -> ${P}.gh.tar.gz
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~ppc ~ppc64 ~riscv ~s390 
~sparc ~x86"
+
+RDEPEND="
+       dev-python/sphinx[${PYTHON_USEDEP}]
+       dev-python/pygments[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+       # version number relies on git repo, sigh
+       # also all dependencies are pinned to exact versions, sigh
+       # also huge hack to install package as "sphinx-prompt", sigh
+       sed -i \
+               -e "/^version =/s:[0-9.]\+:${PV}:" \
+               -e '/^\[tool\.poetry\.dependencies\]$/,$s:"[0-9.]\+:"*:' \
+               -e '/include.*sphinx-prompt/d' \
+               pyproject.toml || die
+
+       distutils-r1_python_prepare_all
+}

Reply via email to